%define languageenglazy Telugu
%define languagecode    te
%define lc_ctype        te_IN

%define upstream_date 20130708

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_date}.1
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://aspell.net/
Source0:        https://sourceforge.net/projects/aoo-extensions/files/4639/0/dict-te.oxt#/%{name}-%{version}.oxt

BuildRequires:  pkgconfig(hunspell)
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-te
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.20130708.1-2.mga8
+ Revision: 1537772
- Mageia 8 Mass Rebuild

* Sat Nov 09 2019 zezinho <zezinho> 0.20130708.1-1.mga8
+ Revision: 1458952
- update upstream date

* Thu Sep 20 2018 umeabot <umeabot> 0.20101225.1-2.mga7
+ Revision: 1278858
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.20101225.1-1.mga7
+ Revision: 1213796
- Update to release 20101225

* Thu Feb 04 2016 umeabot <umeabot> 0.20050929.1-13.mga6
+ Revision: 934396
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050929.1-12.mga5
+ Revision: 741450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050929.1-11.mga5
+ Revision: 680313
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050929.1-10.mga4
+ Revision: 505703
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20050929.1-9.mga3
+ Revision: 353738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20050929.1-8.mga2
+ Revision: 224883
- add requirement on locales (mga#4632)
- adapt .spec to the current policies

* Sat Mar 19 2011 dmorgan <dmorgan> 0.20050929.1-6.mga1
+ Revision: 74382
- Fix buildrequires
- Fix aspell requires
- imported package hunspell-te


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050929-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 08 2010 Parag <pnemade AT redhat.com> - 0.20050929-5
- Resolves:rh#568227-[te_IN]Fix %%description and license tag                                                

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050929-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Parag <pnemade@redhat.com> - 0.20050929-3
- Use aspell source instead to pull source as BR:aspell-te
- Resolves:rh#511262 buildrequires aspell-te

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050929-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Caolan McNamara <caolanm@redhat.com> - 0.20050929-1
- initial version


